std::istreambuf_iterator< _CharT, _Traits > Class Template Reference
I/O | Iterators

## Public Types

typedef _CharT | char_type
typedef _Traits::int_type | int_type
typedef basic_istream< _CharT, _Traits > | istream_type
typedef basic_streambuf< _CharT, _Traits > | streambuf_type
typedef _Traits | traits_type

## Public Member Functions

constexpr | istreambuf_iterator () noexcept
| istreambuf_iterator (const istreambuf_iterator &) noexcept=default
| istreambuf_iterator (istream_type &__s) noexcept
| istreambuf_iterator (streambuf_type *__s) noexcept
bool | equal (const istreambuf_iterator &__b) const
char_type | operator* () const
istreambuf_iterator & | operator++ ()
istreambuf_iterator | operator++ (int)

## Friends

template<bool _IsMove, typename _CharT2 >
__gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, _CharT2 * >::__type | __copy_move_a2 (istreambuf_iterator< _CharT2 >, istreambuf_iterator< _CharT2 >, _CharT2 *)
template<typename _CharT2 >
__gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, ostreambuf_iterator< _CharT2 > >::__type | copy (istreambuf_iterator< _CharT2 >, istreambuf_iterator< _CharT2 >, ostreambuf_iterator< _CharT2 >)
template<typename _CharT2 >
__gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, istreambuf_iterator< _CharT2 > >::__type | find (istreambuf_iterator< _CharT2 >, istreambuf_iterator< _CharT2 >, const _CharT2 &)

## Detailed Description

### template<typename _CharT, typename _Traits>
class std::istreambuf_iterator< _CharT, _Traits >

Provides input iterator semantics for streambufs.

Definition at line 125 of file iosfwd.

The documentation for this class was generated from the following files:

- iosfwd
- streambuf_iterator.h